﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using SuchSofts.OpenImage.Lib.Operation;

namespace SuchSofts.OpenImage.Dialogs
{
    internal partial class FormAbout : Form
    {
        public FormAbout()
        {
            InitializeComponent();
            this.Text = string.Format(this.Text, Application.ProductName);
            labelName.Text = Application.ProductName;
            labelVersion.Text = Application.ProductVersion;
            linkLabelURL.Text = Properties.Settings.Default.Cupis.Replace("http://", "");
        }

        private void linkLabelURL_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            CommonOperations.Navigate(Properties.Settings.Default.Cupis);
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
