﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace SuchSofts.OpenImage
{
    static internal class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        /// <param name="args">
        /// args[0]: status
        /// args[1]: filter.page
        /// args[2]: filter.folder
        /// args[3]: filter.types
        /// args[4]: filter.minimumsize.width
        /// args[5]: filter.minimumsize.height
        /// args[6]: filter.maximumsize.width
        /// args[7]:filter.maximumsize.height
        /// </param>
        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            if (args.Length == 0)
            {
                Application.Run(new FormMain());
            }
            else
            {
                Application.Run(new FormMain(args));
            }
        }
    }
}
